This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297629 - Review Request: python-crane - A WSGI app providing a docker-registry-like API with redirection
Review Request: python-crane - A WSGI app providing a docker-registry-like AP...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 23:06 EST by Randy Barlow
Modified: 2016-01-21 12:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 12:58:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-01-11 23:06:17 EST
Spec URL: https://rbarlow.fedorapeople.org/python-crane.spec
SRPM URL: https://rbarlow.fedorapeople.org/python-crane-2.0.0-0.1.beta.1.fc24.src.rpm
Description: This wsgi application exposes a read-only API similar to docker-registry, which docker can use for "docker pull" operations. Requests for actual image files are responded to with 302 redirects to a URL formed with per-repository settings.
Fedora Account System Username: rbarlow

There are some rpmlint errors due to the Python package including web content within the Python package space. I've filed an upstream issue to track this problem: https://pulp.plan.io/issues/1511

Here is the rpmlint output:

python-crane.src: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python2-crane.noarch: W: spelling-error %description -l en_US wsgi -> swig, wigs, newsgirl
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Regular-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Semibold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Light-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-ExtraBold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Italic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/PatternFlyIcons-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-SemiboldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-BoldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Bold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/css/jquery.min.map
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/js/jquery.js
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-LightItalic-webfont.svg
2 packages and 0 specfiles checked; 13 errors, 2 warnings.
Comment 1 Upstream Release Monitoring 2016-01-11 23:11:55 EST
rbarlow's scratch build of python-crane-2.0.0-0.1.beta.1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12509008
Comment 2 Adam Miller 2016-01-12 11:27:24 EST
It would appear that there are fonts being bundled with pulp-crane, which is generally frowned upon by Fedora Packaging Guidelines[0]. Is there any reasonable way to strip them out and have this package depend on respective font packages as well as use those fonts from their system-wide locations?

INFO: Active plugins: Python, Generic, Shell-api
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/img/crane.png' with mime type 'image/png; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-ExtraBold-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-ExtraBold-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/fontawesome-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Italic-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-LightItalic-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Bold-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/fontawesome-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Bold-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Italic-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-LightItalic-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Regular-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/fontawesome-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-SemiboldItalic-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Semibold-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Regular-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/FontAwesome.otf' with mime type 'application/vnd.ms-opentype; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-SemiboldItalic-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-BoldItalic-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Italic-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Semibold-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/PatternFlyIcons-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-LightItalic-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-BoldItalic-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-ExtraBoldItalic-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-ExtraBoldItalic-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-ExtraBold-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Light-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Light-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-BoldItalic-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-ExtraBoldItalic-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Semibold-webfont.ttf' with mime type 'application/x-font-ttf; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-SemiboldItalic-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Regular-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/PatternFlyIcons-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Bold-webfont.woff' with mime type 'application/octet-stream; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/OpenSans-Light-webfont.eot' with mime type 'application/vnd.ms-fontobject; charset=binary'
/usr/bin/licensecheck warning: cannot parse file '/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/crane-python-crane-2.0.0-0.1.beta/crane/static/fonts/PatternFlyIcons-webfont.woff' with mime type 'application/octet-stream; charset=binary'


[0] - https://fedoraproject.org/wiki/Packaging:Guidelines#Avoid_bundling_of_fonts_in_other_packages
Comment 3 Randy Barlow 2016-01-12 15:42:27 EST
I have marked these fonts with Provides: bundled(font-foo) lines, and reuploaded the spec and SRPM. Can you recheck?
Comment 4 Upstream Release Monitoring 2016-01-12 16:00:57 EST
rbarlow's scratch build of python-crane-2.0.0-0.1.beta.1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12520247
Comment 5 Adam Miller 2016-01-18 15:23:12 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 141 files have unknown license.
     Detailed output of licensecheck in /home/admiller/reviews/1297629
     -python-crane/licensecheck.txt
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

     Bundled and marked as such, upstream issue filed to fix this.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-crane-2.0.0-0.1.beta.1.fc24.noarch.rpm
          python-crane-2.0.0-0.1.beta.1.fc24.src.rpm
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-LightItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/js/jquery.js
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-BoldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-SemiboldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Bold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-ExtraBold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/css/jquery.min.map
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Italic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Light-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Regular-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/PatternFlyIcons-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Semibold-webfont.svg
python-crane.src:36: W: unversioned-explicit-provides bundled(fontawesome-fonts-web)
python-crane.src:37: W: unversioned-explicit-provides bundled(open-sans-fonts)
python-crane.src:41: W: unversioned-explicit-provides bundled(patternflyicons-fonts-web)
2 packages and 0 specfiles checked; 13 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/css/jquery.min.map
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Light-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Regular-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-BoldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Italic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/PatternFlyIcons-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-SemiboldItalic-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-ExtraBold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Bold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-Semibold-webfont.svg
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/js/jquery.js
python2-crane.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/crane/static/fonts/OpenSans-LightItalic-webfont.svg
1 packages and 0 specfiles checked; 13 errors, 0 warnings.



Requires
--------
python2-crane (rpmlib, GLIBC filtered):
    policycoreutils-python
    python(abi)
    python-flask
    python-rhsm
    python2-setuptools



Provides
--------
python2-crane:
    bundled(fontawesome-fonts-web)
    bundled(open-sans-fonts)
    bundled(patternflyicons-fonts-web)
    python-crane
    python-crane(x86-64)
    python2-crane



Source checksums
----------------
https://github.com/pulp/crane/archive/python-crane-2.0.0-0.1.beta.tar.gz :
  CHECKSUM(SHA256) this package     : 017e0b0d0cabf751fc47ca3b46414c4498ca23f2e4003b5bb3fbd39ca9871b2f
  CHECKSUM(SHA256) upstream package : 017e0b0d0cabf751fc47ca3b46414c4498ca23f2e4003b5bb3fbd39ca9871b2f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1297629 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

APPROVED
Comment 6 Gwyn Ciesla 2016-01-21 10:07:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-crane

Note You need to log in before you can comment on or make changes to this bug.